Bug 207902 - Provide symlinks to tools in /usr/libexec/evolution/2.6
Provide symlinks to tools in /usr/libexec/evolution/2.6
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-25 05:13 EDT by Linus Walleij
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 11:43:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 391941 None None None Never

  None (edit)
Description Linus Walleij 2006-09-25 05:13:17 EDT
It is impossible to acces handy command-line tools in 
/usr/libexec/evolution/2.6 like evolution-export-addressbook
etc. A good idea would be to provide symlinks into /usr/bin
for these, I think that's how other distributions does it.

Version-Release number of selected component (if applicable):
evolution-2.6.3-1.fc5.5
Comment 1 Matthew Barnes 2006-09-25 13:17:20 EDT
It's not impossible.  Inconvenient, maybe.

If it's something you use frequently, why not just add it to your PATH?
Comment 2 Linus Walleij 2006-09-25 15:23:19 EDT
Yeah well it's not impossible, just tricky. I'm not thinking
about myself but semi-experienced users here.

Hm, any user wanting to access it using a custom $PATH will
have to maintain their $PATH whenever Evolution release bumps
to 2.7 and it breaks. Doing symlinks would avoid that and
and also make it more convenient without loosing anything I
think.

Debian and Ubuntu filelist:
http://packages.debian.org/cgi-bin/search_contents.pl?searchmode=filelist&word=evolution&version=unstable&arch=i386
They chose to create symlinks for:
usr/bin/csv2vcard
usr/bin/evolution-addressbook-export

Arguably the two more useful programs.

I can make a patch for evolution.conf if you like.
Comment 3 Matthew Barnes 2007-01-02 11:43:18 EST
Forwarding this request upstream.  Please refer to [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=391941
Comment 4 Linus Walleij 2007-01-02 12:21:45 EST
Thanks Matthew.

Note You need to log in before you can comment on or make changes to this bug.